%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: ovs-python-uuid
Version: 1.2.6
Release: 6%{dist}
Summary: UUID module from the Python 2.6.5 release
Group: Development/Libraries
License: PSF
URL: http://python.org/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: python-devel
Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
BuildArch: noarch

Patch1: dummy.patch
# End Oracle Patches

%description
This module provides immutable UUID objects (class UUID) and the functions
uuid1(), uuid3(), uuid4(), uuid5() for generating version 1, 3, 4, and 5
UUIDs as specified in RFC 4122.

%prep
%setup -q
%patch1 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 %{buildroot}/%{python_sitelib}
mv %{_builddir}/%{name}-%{version}/* %{buildroot}/%{python_sitelib}/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}
%{python_sitelib}/uuid.py*

%changelog
* Tue Jul 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.2.6-6 
- update changelog
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Wiekus Beukes <wiekus.beukes@oracle.com> [bug 12737233] 

* Mon Jul 11 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.6-5
- build for ovs

